Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.tree
Class ShieldedTreeGenerator

    java.lang.Object
      net.sourceforge.arbaro.tree.ShieldedTreeGenerator

All Implemented Interfaces:
  TreeGenerator

Direct Known Subclasses:
  ShieldedGUITreeGenerator

    public class ShieldedTreeGenerator

extends java.lang.Object
implements TreeGenerator

A TreeGenerator facade handling exceptions in tree generation. TreeGenerator method calls are delegated to a TreeGenerator object given in the constructor. Exceptions are printed to the console.

Author:
  wolfram

Constructor Summary
`ShieldedTreeGenerator(TreeGenerator treeGenerator)`

Method Summary
`void` | `clearParams()` See TreeGenerator interface
`AbstractParam` | `getParam(java.lang.String param)` See TreeGenerator interface
`java.util.TreeMap` | `getParamGroup(int level, java.lang.String group)` See TreeGenerator interface
`Params` | `getParams()` See TreeGenerator interface
`int` | `getSeed()` See TreeGenerator interface
`Tree` | `makeTree(Progress progress)` See TreeGenerator interface
`void` | `readParamsFromCfg(java.io.InputStream is)` See TreeGenerator interface
`void` | `readParamsFromXML(java.io.InputStream is)` See TreeGenerator interface
`void` | `setParam(java.lang.String param, java.lang.String value)` See TreeGenerator interface
`void` | `setSeed(int seed)` See TreeGenerator interface
`protected void` | `showException(java.lang.Exception e)` Print exceptions to the console using the Console class
`void` | `writeParamsToXML(java.io.PrintWriter out)` See TreeGenerator interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShieldedTreeGenerator

    public ShieldedTreeGenerator(TreeGenerator treeGenerator)

Parameters:
  `treeGenerator` - a TreeGenerator object without exception handling

Method Detail

### showException

    protected void showException(java.lang.Exception e)

  Print exceptions to the console using the Console class

  Parameters:
    `e` - the Exception to print

### clearParams

    public void clearParams()

  See TreeGenerator interface

  Specified by:
    `clearParams` in interface `TreeGenerator`

### getParam

    public AbstractParam getParam(java.lang.String param)

  See TreeGenerator interface

  Specified by:
    `getParam` in interface `TreeGenerator`

### getParamGroup

    public java.util.TreeMap getParamGroup(int level,
                                           java.lang.String group)

  See TreeGenerator interface

  Specified by:
    `getParamGroup` in interface `TreeGenerator`
  Parameters:
    `level` - The branch level (0..3)
    `group` - The parameter group name
  Returns:
    A hash table with the parameters

### getParams

    public Params getParams()

  See TreeGenerator interface

  Specified by:
    `getParams` in interface `TreeGenerator`

### getSeed

    public int getSeed()

  See TreeGenerator interface

  Specified by:
    `getSeed` in interface `TreeGenerator`

### makeTree

    public Tree makeTree(Progress progress)

  See TreeGenerator interface

  Specified by:
    `makeTree` in interface `TreeGenerator`

### readParamsFromCfg

    public void readParamsFromCfg(java.io.InputStream is)

  See TreeGenerator interface

  Specified by:
    `readParamsFromCfg` in interface `TreeGenerator`
  Parameters:
    `is` - The input text stream

### readParamsFromXML

    public void readParamsFromXML(java.io.InputStream is)

  See TreeGenerator interface

  Specified by:
    `readParamsFromXML` in interface `TreeGenerator`
  Parameters:
    `is` - The input XML stream

### setParam

    public void setParam(java.lang.String param,
                         java.lang.String value)

  See TreeGenerator interface

  Specified by:
    `setParam` in interface `TreeGenerator`

### setSeed

    public void setSeed(int seed)

  See TreeGenerator interface

  Specified by:
    `setSeed` in interface `TreeGenerator`

### writeParamsToXML

    public void writeParamsToXML(java.io.PrintWriter out)

  See TreeGenerator interface

  Specified by:
    `writeParamsToXML` in interface `TreeGenerator`
  Parameters:
    `out` - The output stream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD